Bug 59293 - syslogd listens on 514 when forwarding to host
syslogd listens on 514 when forwarding to host
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-04 14:18 EST by Viraj Alankar
Modified: 2014-03-16 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-04 15:36:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viraj Alankar 2002-02-04 14:18:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010726
Netscape6/6.1

Description of problem:
When forwarding syslog messages to other hosts via '@' syntax in syslog.conf,
syslogd appears to listen on 514 from 'netstat -nlp'. Is there a reason why
forwarding messages to remote hosts would cause the local server to accept
remote messages?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add '*.debug @syslog_server' to /etc/syslog.conf
	

Actual Results:  syslogd listends on UDP 514

Expected Results:  Should not listen on any port.

Additional info:
Comment 1 Viraj Alankar 2002-02-24 13:24:24 EST
This is an error on my part. Looking into the source I see that the binding to 
port 514 is also used for forwarding messages. It does not actually listen for 
messages unless the option is provided. I've tested this by configuring another 
machine to syslog to a test machine, and the incoming messages are not 
processed.

Note You need to log in before you can comment on or make changes to this bug.